Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsproxy
Class Condition

    java.lang.Object
      org.deegree.security.owsproxy.Condition

    public class Condition

extends Object

Since:
  1.1
Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Constructor Summary
`Condition(boolean any)`
`Condition(OperationParameter[] operationParameters)`

Method Summary
`void` | `addOperationParameter(OperationParameter param)`
`OperationParameter` | `getOperationParameter(String name)`
`OperationParameter[]` | `getOperationParameters()`
`boolean` | `isAny()`
`void` | `removeOperationParameter(OperationParameter param)`
`void` | `removeOperationParameter(String name)`
`void` | `setOperationParameters(OperationParameter[] param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Condition

    public Condition(OperationParameter[] operationParameters)

Parameters:
  `operationParameters` -

### Condition

    public Condition(boolean any)

Parameters:
  `any` -

Method Detail

### getOperationParameters

    public OperationParameter[] getOperationParameters()

  Returns:
    all operation parameters

### getOperationParameter

    public OperationParameter getOperationParameter(String name)

  Parameters:
    `name` -
  Returns:
    named operation parameter

### setOperationParameters

    public void setOperationParameters(OperationParameter[] param)

  Parameters:
    `param` -

### addOperationParameter

    public void addOperationParameter(OperationParameter param)

  Parameters:
    `param` -

### removeOperationParameter

    public void removeOperationParameter(OperationParameter param)

  Parameters:
    `param` -

### removeOperationParameter

    public void removeOperationParameter(String name)

  Parameters:
    `name` -

### isAny

    public boolean isAny()

  Returns:
    true if no validation for specific parameters shall be performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org